GET /honeytoken/logs
GEThoneytoken/logs
Get honeytoken logs for the current user
Query Parameters
period_from string Required
example 2021-07-06T00:00:00.000Z
period_to string Required
example 2021-07-06T00:00:00.000Z
offset string
Number of items to skip before starting to return results
limit string
Maximum number of items to return per request
domain string
Filter honeytoken logs by from_domain substring
to_email string
Filter honeytoken logs by recipient email (to_email) substring
from_email string
Filter honeytoken logs by sender email (from_email) substring
subject string
Filter honeytoken logs by subject substring
trusted string
Filter honeytoken logs by trusted status. Comma-separated or JSON array
Returns
- dataarrayList of honeytoken log entries for the current user
- idstringUnique identifier of the honeytoken log entry
- hoststringEmail provider hostname
- to_emailstringRecipient email address
- fromstringSender display name
- from_emailstringSender email address
- domainstringSender email domain
- subjectstringEmail subject
- inbox_statusstringInbox delivery status
- ipstringSender IP address
- sended_timestampstringTimestamp when the email was sent
- received_timestampstringTimestamp when the email was received
- openedbooleanWhether the email was opened
- clickedbooleanWhether a link in the email was clicked
- trustedbooleanWhether the sender domain is trusted
- idstring
- metaobjectPagination metadata for list responses
- countintegerTotal number of items available
- offsetintegerNumber of items skipped
- limitintegerMaximum number of items returned per request
- countinteger
Error Codes
400 Bad Request
Bad Request
401 Unauthorized
Unauthorized
500 Internal Server Error
Internal server error